Open Babel: snprintf.h File Reference

Defines | Functions

# snprintf.h File Reference

Go to the source code of this file.

## Defines
#define | PORTABLE_SNPRINTF_VERSION_MAJOR 2
#define | PORTABLE_SNPRINTF_VERSION_MINOR 2
## Functions
int | snprintf (char *, size_t, const char *,...)
int | vsnprintf (char *, size_t, const char *, va_list)
int | asprintf (char **ptr, const char *fmt,...)
int | vasprintf (char **ptr, const char *fmt, va_list ap)
int | asnprintf (char **ptr, size_t str_m, const char *fmt,...)
int | vasnprintf (char **ptr, size_t str_m, const char *fmt, va_list ap)

## Define Documentation

#define PORTABLE_SNPRINTF_VERSION_MAJOR 2

#define PORTABLE_SNPRINTF_VERSION_MINOR 2

## Function Documentation

int snprintf | ( | char * | ,
|  | size_t | ,
|  | const char * | ,
|  |  | ...
| ) |  |

Referenced by OBForceField::ConjugateGradientsInitialize(), OBForceField::ConjugateGradientsTakeNSteps(), OBForceField::DistanceGeometry(), OBElementTable::GetAtomicNum(), OBRotorRules::GetRotorIncrements(), OBAtom::GetType(), OBConversion::IncrementedFileName(), OBForceField::PrintFormalCharges(), OBForceField::PrintPartialCharges(), OBForceField::PrintTypes(), OBForceField::PrintVelocities(), OBForceField::RandomRotorSearchInitialize(), OBForceField::RandomRotorSearchNextConformer(), OBRotorList::Setup(), OBForceField::SteepestDescentInitialize(), OBForceField::SteepestDescentTakeNSteps(), OBForceField::SystematicRotorSearchInitialize(), OBForceField::SystematicRotorSearchNextConformer(), OBForceField::ValidateConjugateGradients(), OBForceField::ValidateSteepestDescent(), and OBForceField::WeightedRotorSearch().

int vsnprintf | ( | char * | ,
|  | size_t | ,
|  | const char * | ,
|  | va_list |
| ) |  |

int asprintf | ( | char ** | ptr,
|  | const char * | fmt,
|  |  | ...
| ) |  |

int vasprintf | ( | char ** | ptr,
|  | const char * | fmt,
|  | va_list | ap
| ) |  |

int asnprintf | ( | char ** | ptr,
|  | size_t | str_m,
|  | const char * | fmt,
|  |  | ...
| ) |  |

int vasnprintf | ( | char ** | ptr,
|  | size_t | str_m,
|  | const char * | fmt,
|  | va_list | ap
| ) |  |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines